> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Pay Rate

> Retrieves details for a single pay rate



## OpenAPI

````yaml get /pay_rates/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /pay_rates/{public_id}:
    get:
      tags:
        - pay_rates
      description: Retrieves details for a single pay rate
      operationId: pay_rates_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayRate'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PayRate:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        period:
          $ref: '#/components/schemas/PayRatePeriodEnum'
        effective_start:
          type: string
          format: date
      required:
        - amount
        - effective_start
        - id
        - member
        - period
    PayRatePeriodEnum:
      enum:
        - annually
        - monthly
        - weekly
        - hourly
      type: string
      description: |-
        * `annually` - Annually
        * `monthly` - Monthly
        * `weekly` - Weekly
        * `hourly` - Hourly
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````